Get extended IP metrics (account-wide)
curl --request GET \
--url https://api.gcore.com/waap/v2/ip-info/counts \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/waap/v2/ip-info/counts"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/waap/v2/ip-info/counts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_requests": 123,
"blocked_requests": 123,
"unique_sessions": 123,
"attack_types": 123,
"domains": 123,
"paths": 123,
"user_agents": 123
}{
"type": "http-bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Invalid domain name: ''''"
}{
"detail": "Auth token is missing or invalid"
}{
"detail": "Permission denied"
}{
"type": "http-not-found",
"title": "Not Found",
"status": 404,
"detail": "The resource is not found"
}{
"type": "request-validation-failed",
"title": "Request validation error.",
"status": 422,
"detail": "One or more fields have validation errors.",
"errors": [
{
"loc": [
"body",
"name"
],
"detail": "Input should be a valid string"
},
{
"loc": [
"body",
"date"
],
"detail": "Field required"
},
{
"loc": [
"query",
"limit"
],
"detail": "Field required"
}
]
}{
"type": "internal-server-error",
"title": "Internal server error.",
"status": 500,
"detail": "An unexpected condition was encountered which prevented the server from fulfilling the request."
}IP Spotlight
Get extended IP metrics (account-wide)
Retrieve comprehensive metrics for an IP address including distinct counts of attack types, domains, paths, and user agents across all account domains
GET
/
waap
/
v2
/
ip-info
/
counts
Get extended IP metrics (account-wide)
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
The IP address to check
Response
Successful Response
The total number of requests made by the IP address
The number of requests from the IP address that were blocked
The number of unique sessions from the IP address
The number of distinct attack types (rules) that blocked requests from this IP
The number of distinct domains accessed by this IP
The number of distinct paths (URLs) accessed by this IP
The number of distinct user agents used by this IP
Was this page helpful?